Skip to main content
GET
/
v1
/
dev
/
user
/
conversations
/
{conversation_id}
Get conversation
curl --request GET \
  --url https://api.omi.me/v1/dev/user/conversations/{conversation_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z",
  "language": "<string>",
  "source": "<string>",
  "structured": {
    "title": "<string>",
    "overview": "<string>",
    "emoji": "<string>",
    "category": "<string>",
    "action_items": [
      {
        "description": "<string>",
        "completed": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "due_at": "2023-11-07T05:31:56Z",
        "completed_at": "2023-11-07T05:31:56Z"
      }
    ],
    "events": [
      {}
    ]
  },
  "transcript_segments": [
    {
      "id": "<string>",
      "text": "<string>",
      "speaker_id": 123,
      "speaker_name": "<string>",
      "start": 123,
      "end": 123
    }
  ],
  "geolocation": {
    "latitude": 123,
    "longitude": 123,
    "address": "<string>",
    "google_place_id": "<string>",
    "location_type": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Developer API key. Get one from Settings → Developer → Create Key in the Omi app. Keys are prefixed with omi_dev_.

Path Parameters

conversation_id
string
required

The ID of the conversation to retrieve.

Query Parameters

include_transcript
boolean
default:false

Include full transcript segments.

Response

The conversation.

id
string

Unique identifier.

created_at
string<date-time>

When the conversation record was created.

started_at
string<date-time>

When the conversation started.

finished_at
string<date-time>

When the conversation ended.

language
string

Language code (e.g. en).

source
string

Source device or app.

structured
object
transcript_segments
object[]

Transcript segments (only present when include_transcript=true).

geolocation
object